%define name	acidrip
%define version	0.14
%define release %mkrel 5

Name: 	 	%{name}
Summary: 	Simple GUI for MEncoder
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/acidrip/%{name}-%{version}.tar.bz2
URL:		http://untrepid.com/acidrip
License:	GPL
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	mencoder
BuildRequires:  lsdvd
BuildRequires:  perl-Gtk2
BuildRequires:  perl-devel
Requires:	lsdvd
Requires:	mencoder
Requires:	perl-Gtk2
Provides:	perl(AcidRip::acidrip) perl(AcidRip::DVDInfo)
Provides:	perl(AcidRip::interface) perl(AcidRip::signals)
Provides:	perl(AcidRip::messages)
BuildArch:	noarch

%description
AcidRip is a Gtk::Perl application for ripping and encoding DVD's. It neatly
wraps MPlayer and MEncoder, which I think is pretty handy, seeing as MPlayer
is by far the best bit of video playing kit around for Linux. As well as
creating a simple Graphical Interface for those scared of getting down and
dirty with MEncoders command line interface, It also automates the process in
a number of ways:
    * Parses DVD into contents tree
    * Finds longest title
    * Calculate video bitrate for given filesize
    * Finds black bands and crops them
    * Gives suggestions for improved performance
    * Other stuff!

%prep
%setup -q
perl -p -i -e 's/mp3lame/copy/g' Makefile.PL

%build
perl Makefile.PL
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INSTALLDIRS=vendor

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="video_section.png" needs="x11" title="AcidRip" longtitle="Video ripping and conversion" section="Multimedia/Video" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=AcidRip
Comment=Video ripping and conversion
Exec=%{name}
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Video;Video;AudioVideo;AudioVideoEditing;GTK;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING TODO
%{_bindir}/%name
%{perl_vendorlib}/AcidRip
%{_mandir}/man1/*
%_datadir/applications/mandriva*
%{_menudir}/%name

%changelog
* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 0.14-5mdv2007.0
- xdg menu

* Tue Jun 27 2006 Lenny Cartier <lenny@mandriva.com> 0.14-4mdv2007.0
- rebuild

* Fri Feb 17 2006 Gtz Waschk <waschk@mandriva.org> 0.14-3mdk
- fix installation

* Tue Nov 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.14-2mdk
- fix provides

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.14-1mdk
- fix URL
- new version

* Tue Jan 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.12-1mdk
- new version

* Tue Nov 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-1mdk
- this one needs perl-Gtk2
- new version

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9-3mdk
- fix buildrequires again

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9-2mdk
- fix buildrequires

* Mon Jun 2 2003 Austin Acton <aacton@yorku.ca> 0.9-1mdk
- 0.9

* Fri May 30 2003 Austin Acton <aacton@yorku.ca> 0.8-1mdk
- initial package
